summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Palfrader <peter@palfrader.org>2013-12-18 22:19:06 +0000
committerweasel <weasel@bc3d92e2-beff-0310-a7cd-cc87d7ac0ede>2013-12-18 22:19:06 +0000
commitd2fb2600884f4c33eb3391dd36b0b81277c420de (patch)
tree783c73f0bb7ddaae9e6bd97e9926734e9a84c1c4
parenta18bc3136410c10f6e132315b28d9259fda7c0ce (diff)
add ssh-co-dotfiles
git-svn-id: svn+ssh://asteria.noreply.org/svn/weaselutils/trunk@661 bc3d92e2-beff-0310-a7cd-cc87d7ac0ede
-rwxr-xr-xssh-co-dotfiles20
1 files changed, 20 insertions, 0 deletions
diff --git a/ssh-co-dotfiles b/ssh-co-dotfiles
new file mode 100755
index 0000000..5075d29
--- /dev/null
+++ b/ssh-co-dotfiles
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+set -u
+
+if [ "$#" != 1 ]; then
+ echo >&2 "Usage: $0 <hostname>"
+ exit 1
+fi
+
+h="$1"
+echo "Expect svn cert fingerprint to be"
+echo " 80:88:ec:2a:29:5e:19:c5:46:ef:8c:24:eb:5a:a3:07:58:dd:06:29"
+echo
+ssh "$h" '! [ -e .dotfiles ] &&
+ svn co https://orata.debian.or.at/svn/weaselutils/trunk/dotfiles .dotfiles &&
+ cd .dotfiles &&
+ ./Link-Them &&
+ echo "All done"'
+